Macaulay2 » Documentation
Packages » Schubert2 :: ChernClassVariable <- Thing
next | previous | forward | backward | up | index | toc

# ChernClassVariable <- Thing -- assignment to a Chern class variable

- Operator: <-
- Usage:
    `v <- x`
- Inputs:
  - v, a Chern class variable,
  - x, a thing,
- Outputs:
  - x
- Consequences:
  - x is assigned to the variable v

## Description

This intended for internal use by Schubert2.

    i1 : chern_3 E

    o1 = c E
          3

    o1 : ChernClassVariable

    i2 : chern_3 E <- 444

    o2 = 444

    i3 : chern_3 E

    o3 = 444

## Ways to use this method:

- ChernClassVariable <- Thing -- assignment to a Chern class variable

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Schubert2.m2:1857:0.